summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrewMurrell <ImFromNASA@gmail.com>2017-04-02 00:29:29 -0400
committerAndrewMurrell <ImFromNASA@gmail.com>2017-04-02 00:29:29 -0400
commit7d25ab4bfd724571a7d41268f9cec63907afb924 (patch)
tree844657b812f7f16d408b77288ba71eef3de6cfd2
parentd0694b12decb594d7b1dd817454738b3df9f0d90 (diff)
parent3f1da016d022ad0dfafebf81041842364a6081ec (diff)
Merge branch 'master' of https://git.andrewdm.me/www
-rwxr-xr-xbin/post-commit.githook1
-rwxr-xr-xbin/post-receive.githook22
-rw-r--r--lib/category.rb2
-rw-r--r--src/dnd/spooky.png (renamed from src/dnd/Spooky_Cave_Edited_MarieJhonson.png)bin955699 -> 955699 bytes
-rw-r--r--src/main.scss12
5 files changed, 29 insertions, 8 deletions
diff --git a/bin/post-commit.githook b/bin/post-commit.githook
index 997afa3..5b05947 100755
--- a/bin/post-commit.githook
+++ b/bin/post-commit.githook
@@ -3,4 +3,3 @@ set -e
d="$(dirname -- "$(readlink -f -- "$0")")"
"$d"/auto-changelog
-"$d"/pre-generate &>/dev/tty &
diff --git a/bin/post-receive.githook b/bin/post-receive.githook
new file mode 100755
index 0000000..ddd74c3
--- /dev/null
+++ b/bin/post-receive.githook
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+set -e
+whoami
+export LANG=en_US.UTF-8
+unset GIT_DIR
+
+if ! type scss; then
+ . ~/.profile
+fi
+
+if ! git merge-base --is-ancestor master pre-generated; then
+ dir="$(mktemp --tmpdir -d www-generate.XXXXXXXXXX)"
+ git clone "$PWD" "$dir"
+ pushd "$dir"
+ bin/pre-generate
+ git push origin pre-generated
+ popd
+ rm -rf -- "$dir"
+fi
+
+cd /srv/http/www.andrewdm.me
+git pull --ff-only
diff --git a/lib/category.rb b/lib/category.rb
index b60c82e..e0ed8e0 100644
--- a/lib/category.rb
+++ b/lib/category.rb
@@ -6,7 +6,7 @@ class Category
@abbr = abbr
end
def abbr
- @abbr
+ @abbr.downcase
end
def name
Config::get.category_name(@abbr)
diff --git a/src/dnd/Spooky_Cave_Edited_MarieJhonson.png b/src/dnd/spooky.png
index 360005a..360005a 100644
--- a/src/dnd/Spooky_Cave_Edited_MarieJhonson.png
+++ b/src/dnd/spooky.png
Binary files differ
diff --git a/src/main.scss b/src/main.scss
index 1ce7c8d..d32d6ee 100644
--- a/src/main.scss
+++ b/src/main.scss
@@ -109,12 +109,12 @@ article {
padding: 4px 7px 5px 7px;
border-radius: 2px;
}
- .tag.FF { background: FireBrick; }
- .tag.SS { background: SeaGreen; }
- .tag.ES { background: DarkViolet; }
- .tag.HB { background: DimGray; }
- .tag.DM { background: DarkSlateGray; }
- .tag.WP { background: GhostWhite; color: black; }
+ .tag.ff { background: FireBrick; }
+ .tag.ss { background: SeaGreen; }
+ .tag.es { background: DarkViolet; }
+ .tag.hb { background: DimGray; }
+ .tag.dm { background: DarkSlateGray; }
+ .tag.wp { background: GhostWhite; color: black; }
border-bottom: solid 1px #333333;
}